#ifndef CONTROLLER_H
#define CONTROLLER_H

namespace MM
{

class Subject;

class Controller
{
public:
                Controller( Subject & subject);
    virtual     ~Controller();    
    void        notify();

private:
    Subject &   subject_;
};

}//MM

#endif //CONTROLLER_H
